Safe to install nav app version 9.465 on XL340?


Joined
May 27, 2012
Messages
9
Location
Canada
TomTom Model(s)
XL 340TM
My unit is currently on 9.430, and I want to update just my map, but TomTom Home insists that I must also take the app update to 9.465 - can't be deselected (shame, shame TomTom!).

Is it safe? I also use TripMaster, and I don't want some unwanted update to screw it up and lose capability.
 
Ad

Advertisements

Joined
Oct 10, 2008
Messages
421
TomTom Model(s)
340S TM (2011), ONE XL (2008)
Amesdp, that's a great question!

It appears that you and I have the same unit and we both use TripMaster. FWIW I have successfully updated mine to 9.465 and all is working great! (see my below signature)
 
Joined
Dec 7, 2010
Messages
1
Location
Australia
TomTom Model(s)
XL IQ Routes Edition S (2011)
I have installed 9.465 without any problems and it runs good too. So yes I confirm, it is safe!
Just for info I have: XL IQ Routes Edition 340S
App 9.465 Maps; Australia, Benelux and South East Asia
Height, TTmaps :D (No Tripmaster)
 
Last edited:
Ad

Advertisements

canderson

Moderator
Joined
Dec 28, 2007
Messages
12,135
Location
Colorado, USA
TomTom Model(s)
GO720, GO740, GO 1535, Via 1535, Via 1605, GO 52, GO 600, GO 620, GO 630, GO Discover, TomTom Bridge
If you have Tripmaster working under 9.430, you will have no problems with it under 9.465. My GO740 still does some strange screen blinking when I first run this application (under any 9.XXX version), but it does seem to settle down after a while.
 

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments. After that, you can post your question and our members will help you out.

Ask a Question

Top